import dynamix_sdk.base as _base


class CloudapiComputeDisableResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDisableProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def disable(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeDisableResultBool:
        ...
